org.apache.commons.lang3.text.translate

## Class NumericEntityEscaper

- java.lang.Object
- - org.apache.commons.lang3.text.translate.CharSequenceTranslator
  - - org.apache.commons.lang3.text.translate.CodePointTranslator
    - - org.apache.commons.lang3.text.translate.NumericEntityEscaper

- Deprecated.
  as of 3.6, use commons-text NumericEntityEscaper instead

      @Deprecated
      public class NumericEntityEscaper
      extends CodePointTranslator

  Translates codepoints to their XML numeric entity escaped value.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericEntityEscaper()` Deprecated. Constructs a `NumericEntityEscaper` for all characters.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NumericEntityEscaper` | `above(int codepoint)` Deprecated. Constructs a `NumericEntityEscaper` above the specified value (exclusive).
    `static NumericEntityEscaper` | `below(int codepoint)` Deprecated. Constructs a `NumericEntityEscaper` below the specified value (exclusive).
    `static NumericEntityEscaper` | `between(int codepointLow, int codepointHigh)` Deprecated. Constructs a `NumericEntityEscaper` between the specified values (inclusive).
    `static NumericEntityEscaper` | `outsideOf(int codepointLow, int codepointHigh)` Deprecated. Constructs a `NumericEntityEscaper` outside of the specified values (exclusive).
    `boolean` | `translate(int codepoint, Writer out)` Deprecated. Translate the specified codepoint into another.

    - ### Methods inherited from class org.apache.commons.lang3.text.translate.CodePointTranslator

      `translate`

    - ### Methods inherited from class org.apache.commons.lang3.text.translate.CharSequenceTranslator

      `hex, translate, translate, with`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericEntityEscaper

          public NumericEntityEscaper()

      Deprecated.

      Constructs a `NumericEntityEscaper` for all characters.

  - ### Method Detail

    - #### below

          public static NumericEntityEscaper below(int codepoint)

      Deprecated.

      Constructs a `NumericEntityEscaper` below the specified value (exclusive).

      Parameters:
        `codepoint` - below which to escape
      Returns:
        the newly created `NumericEntityEscaper` instance

    - #### above

          public static NumericEntityEscaper above(int codepoint)

      Deprecated.

      Constructs a `NumericEntityEscaper` above the specified value (exclusive).

      Parameters:
        `codepoint` - above which to escape
      Returns:
        the newly created `NumericEntityEscaper` instance

    - #### between

          public static NumericEntityEscaper between(int codepointLow,
                                                     int codepointHigh)

      Deprecated.

      Constructs a `NumericEntityEscaper` between the specified values (inclusive).

      Parameters:
        `codepointLow` - above which to escape
        `codepointHigh` - below which to escape
      Returns:
        the newly created `NumericEntityEscaper` instance

    - #### outsideOf

          public static NumericEntityEscaper outsideOf(int codepointLow,
                                                       int codepointHigh)

      Deprecated.

      Constructs a `NumericEntityEscaper` outside of the specified values (exclusive).

      Parameters:
        `codepointLow` - below which to escape
        `codepointHigh` - above which to escape
      Returns:
        the newly created `NumericEntityEscaper` instance

    - #### translate

          public boolean translate(int codepoint,
                                   Writer out)
                            throws IOException

      Deprecated.
      Translate the specified codepoint into another.
      Specified by:
        `translate` in class `CodePointTranslator`
      Parameters:
        `codepoint` - int character input to translate
        `out` - Writer to optionally push the translated output to
      Returns:
        boolean as to whether translation occurred or not
      Throws:
        `IOException` - if and only if the Writer produces an IOException

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.